#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "zap0000two4xi.py">
#<abstract4xi abstract = "zaps to direction two"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'zap0000two4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                               
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi

from zap0001two4xi import zap0001two4xi
from zap0010two4xi import zap0010two4xi
from zap0100two4xi import zap0100two4xi
from zap0200two4xi import zap0200two4xi
from zap0300two4xi import zap0300two4xi
from zap0400two4xi import zap0400two4xi
from zap0500two4xi import zap0500two4xi
from zap0600two4xi import zap0600two4xi
from zap0700two4xi import zap0700two4xi
from zap0800two4xi import zap0800two4xi
from zap0900two4xi import zap0900two4xi
from zap1000two4xi import zap1000two4xi
from zap1100two4xi import zap1100two4xi
from zap1200two4xi import zap1200two4xi
from zap1300two4xi import zap1300two4xi
from zap1400two4xi import zap1400two4xi
from zap1500two4xi import zap1500two4xi
from zap1600two4xi import zap1600two4xi
from zap1700two4xi import zap1700two4xi
from zap1800two4xi import zap1800two4xi
from zap1900two4xi import zap1900two4xi
from zap2000two4xi import zap2000two4xi
from zap2100two4xi import zap2100two4xi
from zap2200two4xi import zap2200two4xi
from zap2300two4xi import zap2300two4xi
from zap2400two4xi import zap2400two4xi
from zap2500two4xi import zap2500two4xi
from zap2600two4xi import zap2600two4xi
from zap2700two4xi import zap2700two4xi
from zap2800two4xi import zap2800two4xi
from zap2900two4xi import zap2900two4xi
from zap3000two4xi import zap3000two4xi
from zap3100two4xi import zap3100two4xi
from zap3200two4xi import zap3200two4xi
from zap3300two4xi import zap3300two4xi

from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                             
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
ack2dragontrace = False 
      
#"
#"/>
    
             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "zap0000two4xi" usage = " 
#   p2two = Process4Xi(target=zap0000two4xi, args=(queue2two, pipe2two_consumer_channel, pipe2two_publisher_channel, Zap2KB4Xi))
#"> 
# -----------------------------------------------------------------------------------------------------
def zap0000two4xi(queue2two, pipe2two_consumer_channel, pipe2two_publisher_channel, kb2two): 
    '''
    zaps to direction TWO
    ''' 
    
    # -------------------------------------------------------------------------------------------------
    # SET OWN VARIABLES                   
    # -------------------------------------------------------------------------------------------------                                                               
                                                                                                                    # { Process4Xi : run ; Step (1/2a) calling; target-of-process2xi-calling-by-run-of-Process4Xi: <function zap0000two4xi at 0x0403C738>; time: 01:01:40 12/07/10 Pacific Standard Time}                                                                                                              
    queue2work4two      = queue2two
    channel2consume4two = pipe2two_consumer_channel
    channel2publish4two = pipe2two_publisher_channel
    kb2try4two          = kb2two
    if ack2debug is True:
        print("\n (STEP 1A2/33) OF ZAP0000TWO4XI -  QUEUE2WORK4TWO: ", queue2work4two)                              #    
        print("\n (STEP 1A3/33) OF ZAP0000TWO4XI -  CHANNEL2CONSUME4TWO : ", channel2consume4two )                  # 
        print("\n (STEP 1A4/33) OF ZAP0000TWO4XI -  CHANNEL2PUBLISH4TWO: ", channel2publish4two)                    #          
        # print("\n (STEP 1A5/33) OF ZAP0000TWO4XI -  KB2TRY4TWO: ", kb2try4two)                                      # 
               
    
    # ---------------------------------------------------------------------------------------------    
    # GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
        
    try:
        message2qet4two = queue2work4two.get()
        if ack2debug is True:
            print("(STEP 5A/33) OF ZAP0000TWO4XI - MESSAGE2QET4TWO GOT: ", message2qet4two) 
            # MESSAGE2QET4TWO GOT:  <copy4xi>copy2two</copy4xi>
        
        if message2qet4two == "<copy4xi>copy2two</copy4xi>":
            message2put4two = "<roger4xi>roger2two</roger4xi>"
            if ack2debug is True:
                print("(STEP 5B/33) OF ZAP0000TWO4XI - SET MESSAGE2PUT4TWO TO: ", message2put4two) 
                # <roger4xi>roger2two</roger4xi> 
        else:
            if ack2debug is True:
                print("(STEP 5c/33) OF ZAP0000TWO4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4two)           
            message2put4two = "<negative4xi>negative2two</negative4xi>"
            if ack2debug is True:
                print("(STEP 5d/33) OF ZAP0000TWO4XI - SET MESSAGE2PUT4TWO TO: ", message2put4two)             
    except:
        message2put4two = "<negative4xi>negative2two</negative4xi>"
    
    
    # ---------------------------------------------------------------------------------------------    
    # PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(STEP 6A/33) OF ZAP0000TWO4XI - TRYING TO PUT MESSAGE2PUT4TWO: ", message2put4two)
        # TRYING TO PUT MESSAGE2PUT4TWO:  <roger4xi>roger2two</roger4xi>                             
    try:         
        queue2work4two.put(message2put4two) 
        if ack2debug is True:
            print('~' *33)
            print("(STEP 6B/33) OF ZAP0000TWO4XI - PUT TO QUEUE2WORK4TWO: ", queue2work4two, ' MESSAGE2PUT4TWO: ', message2put4two)
            print('~' *33)
            # PUT TO QUEUE2WORK4TWO:  <queue4xi.Queue4Xi object at 0x02A42290>  MESSAGE2PUT4TWO:  <roger4xi>roger2two</roger4xi>
        
    except:
        print("(STEP 6c/33) OF ZAP0000TWO4XI *** FAILED TO PUT TO QUEUE2WORK4TWO: ", queue2work4two, ' MESSAGE2PUT4TWO: ', message2put4two)
                   
    # ---------------------------------------------------------------------------------------------    
    # RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 7A/33) OF ZAP0000TWO4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4TWO: ", channel2consume4two)
        # 
    try:
        message2receive4two = channel2consume4two.recv()
        if ack2debug is True:        
            print("(STEP 7B/33) OF ZAP0000TWO4XI - RECEIVED MESSAGE2RECEIVE4TWO: ", message2receive4two)
            # RECEIVED MESSAGE2RECEIVE4TWO:  <copy4xi>copy2two</copy4xi>
        
        if message2receive4two == "<copy4xi>copy2two</copy4xi>":
            message2send4two = "<roger4xi>roger2two</roger4xi>"
            if ack2debug is True:
                print("(STEP 7C/33) OF ZAP0000TWO4XI - SET MESSAGE2SEND4TWO: ", message2send4two)
                # SET MESSAGE2SEND4TWO:  <roger4xi>roger2two</roger4xi>
        else:
            message2send4two = "<negative4xi>negative2two</negative4xi>"
            if ack2debug is True:
                print("(STEP 7D/33) OF ZAP0000TWO4XI - SET MESSAGE2SEND4TWO: ", message2send4two)        
    except:
        if ack2debug is True:
            print("(STEP 7E/33) OF ZAP0000TWO4XI - *** EXCEPTION WITH CHANNEL2CONSUME4TWO.RECV: ", channel2consume4two.recv) 
        message2send4two = "<negative4xi>negative2two</negative4xi>"
        if ack2debug is True:
            print("(STEP 7F/33) OF ZAP0000TWO4XI - SET MESSAGE2SEND4TWO: ", message2send4two)       
            

    # ---------------------------------------------------------------------------------------------
    # SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(STEP 8A/33) OF ZAP0000TWO4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4TWO: ", channel2publish4two)
        # TRYING TO SEND DATA TO CHANNEL2PUBLISHER4TWO:  <read-write PipeConnection, handle 268>
    try:         
        channel2publish4two.send(message2send4two)
        if ack2debug is True:
            print("(STEP 8B/33) OF ZAP0000TWO4XI - SENT MESSAGE2SEND4TWO: ", message2send4two, " CHANNEL2PUBLISHER4TWO: ", channel2publish4two)
            # SENT MESSAGE2SEND4TWO:  <roger4xi>roger2two</roger4xi>  CHANNEL2PUBLISHER4TWO:  <read-write PipeConnection, handle 268>
    except:
        print("(STEP 8C/33) OF ZAP0000TWO4XI - *** FAILED TO SEND MESSAGE2SEND4TWO: ", message2send4two, " CHANNEL2PUBLISHER4TWO: ", channel2publish4two) 


    # -----------------------------------------------------------------------------------------    
    # USING THE DUMMY PROCESS TO CHARGE - THIS APPROACH TRIES FASTER RETURN TO MAINPROCESS4XI  
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(STEP 9A/33) OF ZAP0000TWO4XI - CREATING A DUMMY PROCESS4XI")  
    
# ====  
# [02]
# ====        
    # -----------------------------------------------------------------------------------------    
    # CREATE THE DUMMY PROCESS OBJECT 
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2two = DummyProcess4Xi(target = zap0001two4xi,   
                                      args =(queue2work4two,
                                             channel2consume4two, channel2publish4two,
                                             kb2try4two))
        if ack2debug is True:
            print("(STEP 9B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2TWO: ", dummy2two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2TWO:  <DummyProcess4Xi(Thread-36, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 9C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # START THE DUMMY PROCESS OBJECT
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 9D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2two.start() 
            if ack2debug is True:
                print("(STEP 9E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2TWO: ", dummy2two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2TWO:  <DummyProcess4Xi(Thread-36, started 4292)>
           
            ack2start = True
        except:
            print("(STEP 9F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 9G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
                             
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10two = DummyProcess4Xi(target=zap0010two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                               
        if ack2debug is True:
            print("(STEP 10B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY10TWO: ", dummy10two)
            
        
        ack2dummy = True
    except:
        print("(STEP 10C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY10TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 10D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy10two.start() 
            if ack2debug is True:
                print("(STEP 10E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY10TWO: ", dummy10two)                     # <DummyProcess4Xi(Thread-37, started 4952)> 
                
            
            ack2start = True
        except:
            print("(STEP 10F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 10G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100two = DummyProcess4Xi(target=zap0100two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 100B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY100TWO: ", dummy100two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY100TWO:  <DummyProcess4Xi(Thread-38, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 100C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY100TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 100D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy100two.start() 
            if ack2debug is True:
                print("(STEP 100E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY100TWO: ", dummy100two)
                # STARTED THE DUMMY PROCESS4XI DUMMY100TWO:  <DummyProcess4Xi(Thread-38, started 4080)>
            
            ack2start = True
        except:
            print("(STEP 100F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 100G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200two = DummyProcess4Xi(target=zap0200two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 200B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY200TWO: ", dummy200two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY200TWO:  <DummyProcess4Xi(Thread-39, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 200C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY200TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 200D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200two.start() 
            if ack2debug is True:
                print("(STEP 200E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY200TWO: ", dummy200two)
                # STARTED THE DUMMY PROCESS4XI DUMMY200TWO:  <DummyProcess4Xi(Thread-39, started 4860)>           
            
            ack2start = True
        except:
            print("(STEP 200F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 200G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300two = DummyProcess4Xi(target=zap0300two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 300B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY300TWO: ", dummy300two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY300TWO:  <DummyProcess4Xi(Thread-40, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 300C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY300TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 300D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300two.start() 
            if ack2debug is True:
                print("(STEP 300E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY300TWO: ", dummy300two)
                # STARTED THE DUMMY PROCESS4XI DUMMY300TWO:  <DummyProcess4Xi(Thread-40, started 3004)>
            
            ack2start = True
        except:
            print("(STEP 300F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 300G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400two = DummyProcess4Xi(target=zap0400two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 400B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY400TWO: ", dummy400two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY400TWO:  <DummyProcess4Xi(Thread-41, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 400C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY400TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 400D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400two.start() 
            if ack2debug is True:
                print("(STEP 400E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY400TWO: ", dummy400two)
                # STARTED THE DUMMY PROCESS4XI DUMMY400TWO:  <DummyProcess4Xi(Thread-41, started 4428)>
            
            ack2start = True
        except:
            print("(STEP 400F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 400G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500two = DummyProcess4Xi(target=zap0500two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 500B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY500TWO: ", dummy500two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY500TWO:  <DummyProcess4Xi(Thread-42, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 500C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY500TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 500D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500two.start() 
            if ack2debug is True:
                print("(STEP 500E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY500TWO: ", dummy500two)
                # STARTED THE DUMMY PROCESS4XI DUMMY500TWO:  <DummyProcess4Xi(Thread-42, started 836)>
            
            ack2start = True
        except:
            print("(STEP 500F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 500G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600two = DummyProcess4Xi(target=zap0600two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 600B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY600TWO: ", dummy600two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY600TWO:  <DummyProcess4Xi(Thread-43, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 600C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY600TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 600D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600two.start() 
            if ack2debug is True:
                print("(STEP 600E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY600TWO: ", dummy600two)
                # STARTED THE DUMMY PROCESS4XI DUMMY600TWO:  <DummyProcess4Xi(Thread-43, started 4916)> 
            
            ack2start = True
        except:
            print("(STEP 600F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 600G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700two = DummyProcess4Xi(target=zap0700two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 700B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY700TWO: ", dummy700two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY700TWO:  <DummyProcess4Xi(Thread-44, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 700C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY700TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 700D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700two.start() 
            if ack2debug is True:
                print("(STEP 700E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY700TWO: ", dummy700two)
                # STARTED THE DUMMY PROCESS4XI DUMMY700TWO:  <DummyProcess4Xi(Thread-44, started 2336)>
            
            ack2start = True
        except:
            print("(STEP 700F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 700G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800two = DummyProcess4Xi(target=zap0800two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 800B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY800TWO: ", dummy800two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY800TWO:  <DummyProcess4Xi(Thread-45, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 800C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY800TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 800D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800two.start() 
            if ack2debug is True:
                print("(STEP 800E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY800TWO: ", dummy800two)
                # STARTED THE DUMMY PROCESS4XI DUMMY800TWO:  <DummyProcess4Xi(Thread-45, started 3584)>
            
            ack2start = True
        except:
            print("(STEP 800F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 800G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900two = DummyProcess4Xi(target=zap0900two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 900B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY900TWO: ", dummy900two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY900TWO:  <DummyProcess4Xi(Thread-46, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 900C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY900TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 900D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900two.start() 
            if ack2debug is True:
                print("(STEP 900E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY900TWO: ", dummy900two)
                # STARTED THE DUMMY PROCESS4XI DUMMY900TWO:  <DummyProcess4Xi(Thread-46, started 4848)>
            
            ack2start = True
        except:
            print("(STEP 900F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 900G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000two = DummyProcess4Xi(target=zap1000two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1000B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000TWO: ", dummy1000two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000TWO:  <DummyProcess4Xi(Thread-47, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 1000C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1000TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1000D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000two.start() 
            if ack2debug is True:
                print("(STEP 1000E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1000TWO: ", dummy1000two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1000TWO:  <DummyProcess4Xi(Thread-47, started 4380)>
            
            ack2start = True
        except:
            print("(STEP 1000F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1000G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100two = DummyProcess4Xi(target=zap1100two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1100B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100TWO: ", dummy1100two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100TWO:  <DummyProcess4Xi(Thread-48, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 1100C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1100TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1100D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100two.start() 
            if ack2debug is True:
                print("(STEP 1100E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1100TWO: ", dummy1100two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1100TWO:  <DummyProcess4Xi(Thread-48, started 4524)>
            
            ack2start = True
        except:
            print("(STEP 1100F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1100G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200two = DummyProcess4Xi(target=zap1200two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1200B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200TWO: ", dummy1200two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200TWO:  <DummyProcess4Xi(Thread-49, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 1200C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1200TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1200D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200two.start() 
            if ack2debug is True:
                print("(STEP 1200E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1200TWO: ", dummy1200two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1200TWO:  <DummyProcess4Xi(Thread-49, started 2380)>
            
            ack2start = True
        except:
            print("(STEP 1200F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1200G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300two = DummyProcess4Xi(target=zap1300two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1300B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300TWO: ", dummy1300two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300TWO:  <DummyProcess4Xi(Thread-50, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 1300C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1300TWO ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1300D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300two.start() 
            if ack2debug is True:
                print("(STEP 1300E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1300TWO: ", dummy1300two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1300TWO:  <DummyProcess4Xi(Thread-50, started 4420)>
            
            ack2start = True
        except:
            print("(STEP 1300F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1300G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400two = DummyProcess4Xi(target=zap1400two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1400B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400TWO: ", dummy1400two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400TWO:  <DummyProcess4Xi(Thread-51, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 1400C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1400TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1400D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400two.start() 
            if ack2debug is True:
                print("(STEP 1400E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1400TWO: ", dummy1400two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1400TWO:  <DummyProcess4Xi(Thread-51, started 2820)>
            
            ack2start = True
        except:
            print("(STEP 1400F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1400G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500two = DummyProcess4Xi(target=zap1500two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1500B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500TWO: ", dummy1500two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500TWO:  <DummyProcess4Xi(Thread-52, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 1500C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1500TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1500D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500two.start() 
            if ack2debug is True:
                print("(STEP 1500E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1500TWO: ", dummy1500two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1500TWO:  <DummyProcess4Xi(Thread-52, started 4340)> 
            
            ack2start = True
        except:
            print("(STEP 1500F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1500G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600two = DummyProcess4Xi(target=zap1600two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1600B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600TWO: ", dummy1600two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600TWO:  <DummyProcess4Xi(Thread-53, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 1600C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1600TWO ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1600D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600two.start() 
            if ack2debug is True:
                print("(STEP 1600E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1600TWO: ", dummy1600two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1600TWO:  <DummyProcess4Xi(Thread-53, started 1832)>
            
            ack2start = True
        except:
            print("(STEP 1600F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1600G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700two = DummyProcess4Xi(target=zap1700two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1700B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700TWO: ", dummy1700two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700TWO:  <DummyProcess4Xi(Thread-54, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 1700C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1700TWO ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1700D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700two.start() 
            if ack2debug is True:
                print("(STEP 1700E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1700TWO: ", dummy1700two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1700TWO:  <DummyProcess4Xi(Thread-54, started 4920)>
            
            ack2start = True
        except:
            print("(STEP 1700F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1700G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800two = DummyProcess4Xi(target=zap1800two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1800B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800TWO: ", dummy1800two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800TWO:  <DummyProcess4Xi(Thread-55, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 1800C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1800TWO ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1800D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800two.start() 
            if ack2debug is True:
                print("(STEP 1800E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1800TWO: ", dummy1800two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1800TWO:  <DummyProcess4Xi(Thread-55, started 4004)>
            
            ack2start = True
        except:
            print("(STEP 1800F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1800G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900two = DummyProcess4Xi(target=zap1900two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 1900B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900TWO: ", dummy1900two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900TWO:  <DummyProcess4Xi(Thread-56, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 1900C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1900TWO ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1900D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900two.start() 
            if ack2debug is True:
                print("(STEP 1900E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY1900TWO: ", dummy1900two)
                # STARTED THE DUMMY PROCESS4XI DUMMY1900TWO:  <DummyProcess4Xi(Thread-56, started 3468)>
            
            ack2start = True
        except:
            print("(STEP 1900F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1900G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000two = DummyProcess4Xi(target=zap2000two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2000B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000TWO: ", dummy2000two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000TWO:  <DummyProcess4Xi(Thread-57, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 2000C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2000TWO ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2000D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000two.start() 
            if ack2debug is True:
                print("(STEP 2000E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2000TWO: ", dummy2000two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2000TWO:  <DummyProcess4Xi(Thread-57, started 4372)>
            
            ack2start = True
        except:
            print("(STEP 2000F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2000G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100two = DummyProcess4Xi(target=zap2100two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2100B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100TWO: ", dummy2100two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100TWO:  <DummyProcess4Xi(Thread-58, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 2100C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2100TWO ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2100D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100two.start() 
            if ack2debug is True:
                print("(STEP 2100E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2100TWO: ", dummy2100two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2100TWO:  <DummyProcess4Xi(Thread-58, started 3956)>
            
            ack2start = True
        except:
            print("(STEP 2100F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2100G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200two = DummyProcess4Xi(target=zap2200two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2200B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200TWO: ", dummy2200two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200TWO:  <DummyProcess4Xi(Thread-59, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 2200C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2200TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2200D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200two.start() 
            if ack2debug is True:
                print("(STEP 2200E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2200TWO: ", dummy2200two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2200TWO:  <DummyProcess4Xi(Thread-59, started 1476)> 
            
            ack2start = True
        except:
            print("(STEP 2200F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2200G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300two = DummyProcess4Xi(target=zap2300two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2300B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300TWO: ", dummy2300two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300TWO:  <DummyProcess4Xi(Thread-60, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 2300C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2300TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2300D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300two.start() 
            if ack2debug is True:
                print("(STEP 2300E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2300TWO: ", dummy2300two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2200TWO:  <DummyProcess4Xi(Thread-59, started 1476)>
            
            ack2start = True
        except:
            print("(STEP 2300F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2300G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400two = DummyProcess4Xi(target=zap2400two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2400B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400TWO: ", dummy2400two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400TWO:  <DummyProcess4Xi(Thread-61, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 2400C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2400TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2400D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400two.start() 
            if ack2debug is True:
                print("(STEP 2400E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2400TWO: ", dummy2400two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2400TWO:  <DummyProcess4Xi(Thread-61, started 3884)>
            
            ack2start = True
        except:
            print("(STEP 2400F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2400G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500two = DummyProcess4Xi(target=zap2500two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2500B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500TWO: ", dummy2500two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500TWO:  <DummyProcess4Xi(Thread-62, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 2500C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2500TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2500D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500two.start() 
            if ack2debug is True:
                print("(STEP 2500E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2500TWO: ", dummy2500two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2500TWO:  <DummyProcess4Xi(Thread-62, started 4152)>
            
            ack2start = True
        except:
            print("(STEP 2500F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2500G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600two = DummyProcess4Xi(target=zap2600two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2600B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600TWO: ", dummy2600two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600TWO:  <DummyProcess4Xi(Thread-63, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 2600C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2600TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2600D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600two.start() 
            if ack2debug is True:
                print("(STEP 2600E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2600TWO: ", dummy2600two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2600TWO:  <DummyProcess4Xi(Thread-63, started 4716)> 
            
            ack2start = True
        except:
            print("(STEP 2600F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2600G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700two = DummyProcess4Xi(target=zap2700two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2700B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700TWO: ", dummy2700two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700TWO:  <DummyProcess4Xi(Thread-64, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 2700C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2700TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2700D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700two.start() 
            if ack2debug is True:
                print("(STEP 2700E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2700TWO: ", dummy2700two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2700TWO:  <DummyProcess4Xi(Thread-64, started 4948)>
            
            ack2start = True
        except:
            print("(STEP 2700F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2700G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800two = DummyProcess4Xi(target=zap2800two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2800B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800TWO: ", dummy2800two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800TWO:  <DummyProcess4Xi(Thread-65, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 2800C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2800TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2800D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800two.start() 
            if ack2debug is True:
                print("(STEP 2800E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2800TWO: ", dummy2800two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2800TWO:  <DummyProcess4Xi(Thread-65, started 2728)>
            
            ack2start = True
        except:
            print("(STEP 2800F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2800G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900two = DummyProcess4Xi(target=zap2900two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 2900B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900TWO: ", dummy2900two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900TWO:  <DummyProcess4Xi(Thread-66, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 2900C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2900TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2900D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900two.start() 
            if ack2debug is True:
                print("(STEP 2900E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY2900TWO: ", dummy2900two)
                # STARTED THE DUMMY PROCESS4XI DUMMY2900TWO:  <DummyProcess4Xi(Thread-66, started 4856)>
            
            ack2start = True
        except:
            print("(STEP 2900F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2900G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000two = DummyProcess4Xi(target=zap3000two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 3000B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000TWO: ", dummy3000two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000TWO:  <DummyProcess4Xi(Thread-67, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 3000C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3000TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3000D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000two.start() 
            if ack2debug is True:
                print("(STEP 3000E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY3000TWO: ", dummy3000two)
                # STARTED THE DUMMY PROCESS4XI DUMMY3000TWO:  <DummyProcess4Xi(Thread-67, started 4804)>
            
            ack2start = True
        except:
            print("(STEP 3000F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3000G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100two = DummyProcess4Xi(target=zap3100two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 3100B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100TWO: ", dummy3100two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100TWO:  <DummyProcess4Xi(Thread-68, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 3100C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3100TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3100D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100two.start() 
            if ack2debug is True:
                print("(STEP 3100E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY3100TWO: ", dummy3100two)
                # STARTED THE DUMMY PROCESS4XI DUMMY3100TWO:  <DummyProcess4Xi(Thread-68, started 4492)>
            
            ack2start = True
        except:
            print("(STEP 3100F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3100G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200two = DummyProcess4Xi(target=zap3200two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 3200B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200TWO: ", dummy3200two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200TWO:  <DummyProcess4Xi(Thread-69, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 3200C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3200TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3200D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200two.start() 
            if ack2debug is True:
                print("(STEP 3200E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY3200TWO: ", dummy3200two)
                # STARTED THE DUMMY PROCESS4XI DUMMY3200TWO:  <DummyProcess4Xi(Thread-69, started 4900)> 
            
            ack2start = True
        except:
            print("(STEP 3200F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3200G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300two = DummyProcess4Xi(target=zap3300two4xi, 
                                     args =(queue2work4two,
                                            channel2consume4two, channel2publish4two,
                                            kb2try4two))                             
        if ack2debug is True:
            print("(STEP 3300B/33) OF ZAP0000TWO4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300TWO: ", dummy3300two)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300TWO:  <DummyProcess4Xi(Thread-70, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 3300C/33) OF ZAP0000TWO4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3300TWO ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3300D/33) OF ZAP0000TWO4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300two.start() 
            if ack2debug is True:
                print("(STEP 3300E/33) OF ZAP0000TWO4XI - STARTED THE DUMMY PROCESS4XI DUMMY3300TWO: ", dummy3300two)
                # STARTED THE DUMMY PROCESS4XI DUMMY3300TWO:  <DummyProcess4Xi(Thread-70, started 2204)>
            
            ack2start = True
        except:
            print("(STEP 3300F/33) OF ZAP0000TWO4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3300G/33) OF ZAP0000TWO4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

                   
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 11/33) OF ZAP0000TWO4XI - RETURNING TIME: ", time4xi())
        print('=' *33)
        # 01:51:44 12/04/10 Pacific Standard Time 
    
    
        
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_zap2actor4xi.txt
#   scope-sense*4xi.xml
#   sense-test-zap2actor4xi.xml
#   reason-test-zap2actor4xi.xml
#   ace-test-zap2actor4xi4xi.xml

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of zap0000two4xi.py                           
# ------------------------------------------------------------------------------------------------- 
#"
#/>
